﻿#region Copyright
/// <summary>The ScummVM WPF UI project</summary>
/// <copyright>(c) 2016 MojoTouch</copyright>
/// <author>Ilya Rovensky</author>
#endregion

using System;
using System.Timers;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;

namespace WpfInterface
{
    /// <summary>
    /// Starting page - also serves as a root element in navigation
    /// </summary>
    public partial class LogoScreen : Menu
    {
        private System.Timers.Timer _timer;

        public LogoScreen(bool secondLogo) : base(true)
        {            
            InitializeComponent();

            LogoGrid.Background = new ImageBrush(new BitmapImage(new Uri(BaseUriHelper.GetBaseUri(this), 
                secondLogo ? 
                    $"{Assets.Path}/images/developer_logo_2.png" :
                    $"{Assets.Path}/images/developer_logo.png")));

            _timer = new System.Timers.Timer(2000)
            {
                AutoReset = false,
                Enabled = true
            };

            _timer.Elapsed += OnTimer;
        }

        private void OnTimer(object sender, ElapsedEventArgs e)
        {
            Result = MenuAction.Main;
        }
    }
}
